Page MenuHomeFreeBSD

openoffice plist and languagepack fixes
ClosedPublic

Authored by truckman on Jan 20 2015, 4:18 AM.

Details

Reviewers
pfg
mat
Summary

Don't add @dirrm to generated plist.

Don't add a blank line to generated plist.

Add @dir to generated plist for empty directories.

Unbreak languagepack target (package-rename and ure targets are still broken).

Makefile diff reduction vs. upcoming openoffice-devel update.

Test Plan

Build port.

Examine generated plist file.

Test package-canonical, sdk, solver, and languagepack
targets.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

truckman updated this revision to Diff 3261.Jan 20 2015, 4:18 AM
truckman retitled this revision from to openoffice plist and languagepack fixes.
truckman updated this object.
truckman edited the test plan for this revision. (Show Details)
truckman added reviewers: mat, pfg.
truckman updated this object.Jan 20 2015, 6:39 AM
truckman edited the test plan for this revision. (Show Details)
mat added a subscriber: bapt.Jan 20 2015, 9:36 AM
mat added inline comments.
editors/openoffice-4/Makefile
270–284

If you define do-install you do not define post-install you put everything in do-install no need for two targets when only one is needed, @bapt will like you, and it'll make make faster :-)

305–306

You don't need to add the license files to the plist, it's added automatically by the framework. (Also, you always use >> ${TMPPLIST} so you don't erase what's already in it)

308–310

nice one.

truckman added inline comments.Jan 20 2015, 4:56 PM
editors/openoffice-4/Makefile
270–284

Good catch!

305–306

I changed line 308 to only use one >.

truckman added inline comments.Jan 20 2015, 5:03 PM
editors/openoffice-4/Makefile
305–306

I ran into the license file issue on another port last year. I was getting plist errors and it took me forever to figure out that both the port Makefile and the framework were adding the license files to the plist. I haven't been seeing plist errors on this port, which is why I hadn't deleted these lines.

truckman updated this revision to Diff 3275.Jan 21 2015, 12:11 AM

Don't add license files to the plist since this is already done
by the framework.

Merge post-install target into do-install.

mat added inline comments.Jan 21 2015, 12:27 AM
editors/openoffice-4/Makefile
305–306

${TMPPLIST} is created when the generate-plist target is ran, a bit before do-install. Unless there is something in it that you do not want, which I find hard to believe, remove this :-)

truckman added inline comments.Jan 21 2015, 12:41 AM
editors/openoffice-4/Makefile
305–306

What happens if you run "make install" twice? Does ${TMPPLIST} get re-created?

You previously said " (Also, you always use >> ${TMPPLIST} so you don't erase what's already in it)", which I now think that I mis-interpreted as a criticism of my deletion of line 307, whereas I now think you meant that my change to line 308 was incorrect.

truckman updated this revision to Diff 3276.Jan 21 2015, 12:42 AM

Don't truncate ${TMPPLIST}.

mat accepted this revision.Jan 21 2015, 8:57 AM
mat edited edge metadata.
mat added inline comments.
editors/openoffice-4/Makefile
305–306

Hum, no, when you run make install it install the package that was created in the stage sequence, and install a cookie saying it has been run already. Even if you remove the cookie, it'll rerun all the targets in the stage sequence, and recreate the file. You can check at the end of Mk/bsd.port.mk what targets runs in what sequence. The order the sequence are run is in the *_DEP variables, sanity -> pkg -> fetch -> extract -> patch -> configure -> build -> stage -> (install | package)

About line 308, you never erase the content of ${TMPPLIST}, it is created before do-install in generate-plist at that point, it's been created, and filled with the content of the pkg-plist file, if it exists, the PLIST_FILES/DIRS/DIRSTRY variables, if they exist, plus a few @exec/@unexec with ldconfig stuff.
The point was, you always append to ${TMPPLIST}, always. :-)

This revision is now accepted and ready to land.Jan 21 2015, 8:57 AM
truckman closed this revision.Apr 6 2015, 3:47 AM

Closed by commit rP377578 (authored by @truckman).